## Create a custom asset `client.customPages.assets.create(AssetCreateParamsparams, RequestOptionsoptions?): AssetCreateResponse` **post** `/{accounts_or_zones}/{account_or_zone_id}/custom_pages/assets` Creates a new custom asset. ### Parameters - `params: AssetCreateParams` - `description: string` Body param: A short description of the custom asset. - `name: string` Body param: The unique name of the custom asset. Can only contain letters (A-Z, a-z), numbers (0-9), and underscores (_). - `url: string` Body param: The URL where the asset content is fetched from. - `account_id?: string` Path param: The Account ID to use for this endpoint. Mutually exclusive with the Zone ID. - `zone_id?: string` Path param: The Zone ID to use for this endpoint. Mutually exclusive with the Account ID. ### Returns - `AssetCreateResponse` - `description?: string` A short description of the custom asset. - `last_updated?: string` - `name?: string` The unique name of the custom asset. Can only contain letters (A-Z, a-z), numbers (0-9), and underscores (_). - `size_bytes?: number` The size of the asset content in bytes. - `url?: string` The URL where the asset content is fetched from. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiEmail: process.env['CLOUDFLARE_EMAIL'], // This is the default and can be omitted apiKey: process.env['CLOUDFLARE_API_KEY'], // This is the default and can be omitted }); const asset = await client.customPages.assets.create({ description: 'Custom 500 error page', name: 'my_custom_error_page', url: 'https://example.com/error.html', account_id: 'account_id', }); console.log(asset.description); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "description": "Custom 500 error page", "last_updated": "2014-01-01T05:20:00.12345Z", "name": "my_custom_error_page", "size_bytes": 1024, "url": "https://example.com/error.html" } } ```